Description

The cdm-server must not start instances with db connection problems.
Currently such instances show a unclear error message and status is reported as stopped

Error creating bean with name 'cdmVaadinConfiguration':

Unsatisfied dependency expressed through field 'sessionFactory';

nested exception is org.springframework.beans.factory.BeanCreationException:

Error creating bean with name 'sessionFactory' defined in class path resource [eu/etaxonomy/cdm/se
curity_base.xml] :

Cannot resolve reference to bean 'hibernateProperties' while setting bean property 'hibernatePrope
rties’';

nested exception is org.springframework.beans.factory.BeanCreationException:

Error creating bean with name 'hibernateProperties' defined in class path resource [eu/etaxonomy/c
dm/opt/config/DataSourceConfigurer.class]:

Bean instantiation via factory method failed;

nested exception is org.springframework.beans.BeanInstantiationException:

Failed to instantiate [java.util.Properties]:

Factory method 'hibernateProperties' threw exception;

nested exception is java.lang.NullPointerException

Associated revisions

Revision 4269efd3 - 05/03/2021 05:32 PM - Andreas Kohlbecker

ref #9602 preventing instances from starting up in case of db connection problems

Revision 534e39de - 05/03/2021 05:36 PM - Andreas Kohlbecker

ref #9602 more clear execption handling in case of jndi data source problems

History

#1 - 05/03/2021 05:31 PM - Andreas Kohlbecker

- Subject changed from cdm-server must not start instance with severe db connection problems to cdm-server must not start instances with severe db
connection problems

#2 - 05/03/2021 05:33 PM - Andreas Kohlbecker

- Description updated

#3 - 05/03/2021 05:34 PM - Andreas Kohlbecker

- Description updated

#4 - 05/03/2021 05:58 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - 05/17/2021 09:52 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23
